unit ContaCorrente;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, Dialogs,
  StdCtrls, Forms, DBCtrls, DB, Buttons, Mask, ExtCtrls;

type
  TfrmContaCorrente = class(TForm)
    Panel2: TPanel;
    EditLimite: TDBEdit;
    EditContaCorrente: TDBEdit;
    EditBanco: TDBEdit;
    EditAgencia: TDBEdit;
    lblBanco: TLabel;
    lblAgencia: TLabel;
    lblLimite: TLabel;
    lblConta: TLabel;
    btnIncluir: TBitBtn;
    btnSair: TBitBtn;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnIncluirClick(Sender: TObject);
    procedure btnSairClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmContaCorrente: TfrmContaCorrente;

implementation

uses banco;

{$R *.DFM}

{Esta procedure ser executada quando ocorrer o evento Close no formulrio}
procedure TfrmContaCorrente.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   {O formulrio  fechado e a memria alocada  liberada}
   Action := CaFree;
end;

{Esta procedure ser executada quando ocorrer o evento Click no boto btmIncluir}
procedure TfrmContaCorrente.btnIncluirClick(Sender: TObject);
begin
   {Ser mostrada uma mensagem pedindo a confirmao da incluso}
	If Application.MessageBox('Confirma a Incluso desta Conta Corrente?', 'Confirmao',
      mb_YesNo + mb_IconQuestion) = idYes then
      begin
         {Caso a incluso seja confirmada, ento ser gravada uma nova conta corrente}
         frmBanco.tblConta.Post;
         {Fecha o formulrio}
         Self.Close;
      end;
end;

{Esta procedure ser executada quando ocorrer o evento Click no boto btnSair}
procedure TfrmContaCorrente.btnSairClick(Sender: TObject);
begin
   {Cancela a incluso da nova conta}
   frmBanco.tblConta.Cancel;
   {Fecha o formulrio}
   Self.Close;
end;

end.
