unit MenuPri;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, Menus, StdCtrls, Buttons, ExtCtrls, Grids, Calendar, OleCtrls,
  graphsv3, ToolWin;

type
  TfrmMenuPri = class(TForm)
    mmMenuPri: TMainMenu;
    Cadastro1: TMenuItem;
    Clientes1: TMenuItem;
    Fim1: TMenuItem;
    Fornecedor1: TMenuItem;
    Banco1: TMenuItem;
    Cartorio1: TMenuItem;
    PlanodeContas2: TMenuItem;
    Manuteno1: TMenuItem;
    Incluso1: TMenuItem;
    Altera1: TMenuItem;
    Lanamento1: TMenuItem;
    ContasaPagar1: TMenuItem;
    Despesas1: TMenuItem;
    Pagamentos1: TMenuItem;
    ContasaReceber1: TMenuItem;
    Recebimento1: TMenuItem;
    ChequePrDatado1: TMenuItem;
    RemessadeTtulosparaCartrio1: TMenuItem;
    N1: TMenuItem;
    procedure Clientes1Click(Sender: TObject);
    procedure FimClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure Fornecedor1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure Banco1Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure Cartorio1Click(Sender: TObject);
    procedure Incluso1Click(Sender: TObject);
    procedure Altera1Click(Sender: TObject);
    procedure Lanamento1Click(Sender: TObject);
    procedure Despesas1Click(Sender: TObject);
    procedure Pagamentos1Click(Sender: TObject);
    procedure Recebimento1Click(Sender: TObject);
    procedure ChequePrDatado1Click(Sender: TObject);
    procedure RemessadeTtulosparaCartrio1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMenuPri: TfrmMenuPri;
  s:string;
implementation

uses MenuCliente, MenuForn, Banco, Cartorio, ChequePre, PlanoContas,
  MenuLancamento, Despesa, MenuPagto, MenuRecebto, RemessaCartorio;

{$R *.DFM}

procedure TfrmMenuPri.Clientes1Click(Sender: TObject);
begin
	Application.CreateForm(TfrmMenuCli, frmMenuCli);
   Self.Clientes1.Enabled := False;
end;

procedure TfrmMenuPri.FimClick(Sender: TObject);
begin
   Close;
end;

procedure TfrmMenuPri.SpeedButton1Click(Sender: TObject);
begin
   frmMenuPri.Clientes1Click(frmMenuPri);
end;

procedure TfrmMenuPri.Fornecedor1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmMenuForn, frmMenuForn);
   Self.Fornecedor1.Enabled := False;
end;

procedure TfrmMenuPri.SpeedButton2Click(Sender: TObject);
begin
   frmMenuPri.Fornecedor1Click(frmMenuPri);
end;

procedure TfrmMenuPri.ToolButton3Click(Sender: TObject);
begin
   Close;
end;

procedure TfrmMenuPri.Banco1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmBanco, frmBanco);
   Self.Banco1.Enabled := False;
end;

procedure TfrmMenuPri.SpeedButton3Click(Sender: TObject);
begin
   frmMenuPri.Banco1Click(frmMenuPri);
end;

procedure TfrmMenuPri.Cartorio1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmCartorio, frmCartorio);
   Self.Cartorio1.Enabled := False;
end;

procedure TfrmMenuPri.Incluso1Click(Sender: TObject);
begin
   frmMenuPri.mmMenuPri.Tag := 1 {incluso};
   Application.CreateForm(TfrmPlanoContas, frmPlanoContas);
   frmMenuPri.Manuteno1.Enabled := False;
   end;

procedure TfrmMenuPri.Altera1Click(Sender: TObject);
begin
   frmMenuPri.mmMenuPri.Tag := 2 {Alterao};
   frmMenuPri.Manuteno1.Enabled := False;
   Application.CreateForm(TfrmPlanoContas, frmPlanoContas);
end;

procedure TfrmMenuPri.Lanamento1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmMenuLancamento, frmMenuLancamento);
   frmMenuPri.Lanamento1.Enabled := False;
end;

procedure TfrmMenuPri.Despesas1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmDespesa, frmDespesa);
end;

procedure TfrmMenuPri.Pagamentos1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmMenuPagto, frmMenuPagto);
  	frmMenuPri.Pagamentos1.Enabled := False;
end;

procedure TfrmMenuPri.Recebimento1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmMenuRecebto, frmMenuRecebto);
   Self.Recebimento1.Enabled := False;
end;

procedure TfrmMenuPri.ChequePrDatado1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmChequePre, frmChequePre);
   frmMenuPri.ChequePrDatado1.Enabled := False;
end;

procedure TfrmMenuPri.RemessadeTtulosparaCartrio1Click(Sender: TObject);
begin
   Application.CreateForm(TfrmRemessaCartorio, frmRemessaCartorio);
end;

end.
