unit MenuRecebto;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, Menus, DBTables, Grids, DBGrids;

type
  TfrmMenuRecebto = class(TForm)
    dbgRecebimento: TDBGrid;
    dtsRecebimento: TDataSource;
    sqlRecebimento: TQuery;
    mmRecebimento: TMainMenu;
    Recebimento1: TMenuItem;
    Incluir1: TMenuItem;
    Alterar1: TMenuItem;
    N1: TMenuItem;
    Fim1: TMenuItem;
    sqlRecebimentoTitulo: TStringField;
    sqlRecebimentocgc: TFloatField;
    sqlRecebimentoValor: TCurrencyField;
    sqlRecebimentoEmissao: TDateField;
    sqlRecebimentoVencto: TDateField;
    sqlRecebimentoLancamento: TDateField;
    sqlRecebimentoDesconto: TCurrencyField;
    sqlRecebimentoValidadeDesc: TDateField;
    sqlRecebimentoPagto: TDateField;
    sqlRecebimentoAcrescimo: TCurrencyField;
    sqlRecebimentoTipo: TStringField;
    sqlRecebimentoRegistro: TIntegerField;
    sqlRecebimentocgc_1: TStringField;
    procedure Incluir1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Alterar1Click(Sender: TObject);
    procedure Fim1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMenuRecebto: TfrmMenuRecebto;

implementation

uses Recebimento, MenuPri;

{$R *.DFM}

{Esta procedure ser executada com o evento click da opo incluir do menu pagamento}
procedure TfrmMenuRecebto.Incluir1Click(Sender: TObject);
begin
	{Desabilita o formulrio frmMenuRecebto}
   Self.Enabled := False;
   {Cria o formulrio frmRecebimento}
   Application.CreateForm(TfrmRecebimento, frmRecebimento);
   {Abre a tabela de recebimento via objeto tblRecebimento}
   frmRecebimento.tblRecebimento.Open;
   {Coloca a tabela em modo de incluso}
   frmRecebimento.tblRecebimento.Append;
end;

{Esta procedure ser executada quando ocorrer o evento Close do formulrio}
procedure TfrmMenuRecebto.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   {fecha atabela pagamento via objeto Query sqlRecebimento}
   Self.sqlRecebimento.Close;
   Action := CaFree;
   {Habilita a opo Recebimento do menu Contas a Receber do formulrio frmMenuPri}
   frmMenuPri.Recebimento1.Enabled := True;
end;

{Esta procedure ser executada quando ocorrer o evento Create do formulrio}
procedure TfrmMenuRecebto.FormCreate(Sender: TObject);
begin
   {Abre a tabela recebimento via o objeto Query sqlRecebimento}
   Self.sqlRecebimento.Open;
end;

{Esta procedure ser executada quando ocorrer o evento click da opo Alterar
do menu Recebimento}
procedure TfrmMenuRecebto.Alterar1Click(Sender: TObject);
begin
	{Desabilita o formulrio frmMenuRecebto}
   Self.Enabled := False;
   {Cria o formulrio frmRecebimento}
   Application.CreateForm(TfrmRecebimento, frmRecebimento);
   {Para o formulrio frmRecebimento}
   With frmRecebimento do
      begin
         {Abre a tabela pagamento via objeto tblRecebimento}
         tblRecebimento.Open;
         {Filtra o registro selecionado para a edio}
         tblRecebimento.Filter := 'Titulo = ' +(frmMenuRecebto.
            dbgRecebimento.Columns.Items[0].Field.Text);
         {Ativa o filtro}
         tblRecebimento.Filtered := True;
         {As prximas quatro linhas  utilizado para passar
         o contedo dos objetos dbe para msk}
         mskEmissao.Text := dbeEmissao.Text;
         mskVencto.Text := dbeVencto.Text;
         mskPagto.Text := dbePagto.Text;
         mskValidDesc.Text := dbeValidDesc.Text;
         {Coloca a tabela Recebimento para o modo de Edio}
         tblRecebimento.Edit;
      end;
end;

{Esta procedure ser executada quando ocorrer o evento click da opo fim
do menu Recebimento}
procedure TfrmMenuRecebto.Fim1Click(Sender: TObject);
begin
   {Fecha o formulrio frmMenuPagto}
   Self.Close;
end;

end.
