unit Agencia;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, Dialogs,
  StdCtrls, Forms, DBCtrls, DB, Mask, ExtCtrls, Buttons, DBTables;

type
  TfrmAgencia = class(TForm)
    ScrollBox: TScrollBox;
    Label1: TLabel;
    EditBanco: TDBEdit;
    Label2: TLabel;
    EditNome: TDBEdit;
    Label3: TLabel;
    EditEndereco: TDBEdit;
    Label4: TLabel;
    EditGerente: TDBEdit;
    Label5: TLabel;
    EditTelefone: TDBEdit;
    Label6: TLabel;
    EditRamal: TDBEdit;
    Label7: TLabel;
    EditFax: TDBEdit;
    Label8: TLabel;
    EditInternet: TDBEdit;
    EditDataHora: TDBEdit;
    Panel2: TPanel;
    mskTelefone: TMaskEdit;
    mskFax: TMaskEdit;
    btnOk: TBitBtn;
    btnSair: TBitBtn;
    Label9: TLabel;
    EditNumero: TDBEdit;
    procedure mskTelefoneChange(Sender: TObject);
    procedure mskFaxChange(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnOkClick(Sender: TObject);
    procedure btnSairClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmAgencia: TfrmAgencia;

implementation

uses banco;

{$R *.DFM}

{Esta procedure ser executada quando ocorrer o evento Change no objeto mskTelefone}
procedure TfrmAgencia.mskTelefoneChange(Sender: TObject);
begin
   {Inserir no objeto EditTelefone o contedo do objeto mskTelefone}
   EditTelefone.Text := mskTelefone.Text;
end;

{Esta procedure ser executada quando ocorrer o evento Change no objeto mskFax}
procedure TfrmAgencia.mskFaxChange(Sender: TObject);
begin
   {Inserir no objeto EditFax o contedo do objeto mskFax}
   EditFax.Text := mskfax.Text;
end;

{Esta procedure ser executada quando ocorrer o evento Close do formulrio frmAgencia}
procedure TfrmAgencia.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   {O formulrio  fechado e a memria alocada  liberada}
   Action := CaFree;
end;

{Esta procedure ser executada quando ocorrer o evento Click no boto btnOk}
procedure TfrmAgencia.btnOkClick(Sender: TObject);
begin
	if Application.MessageBox('Confirma a incluso desta agncia', 'Confirmao',
      mb_YesNo + mb_IconQuestion) = idYes then
      begin
   		{Insere no objeto EditDataHora a data e hora da incluso da agncia}
   		EditDataHora.Text := DateTimeToStr(now);
   		{Grava as informaes digitadas}
   		frmBanco.tblAgencia.Post;
   		{Fecha o formulrio}
   		Self.Close;
      end
end;

{Esta procedure ser executada quando ocorrer o evento Click no boto btnSair}
procedure TfrmAgencia.btnSairClick(Sender: TObject);
begin
   {Cancela a incluso da agncia}
   frmBanco.tblAgencia.Cancel;
   {Fecha o formulrio}
   Self.Close;
end;

end.
