unit IncBanco;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Mask, DBCtrls, DBTables;

type
  TfrmIncBanco = class(TForm)
    dbeNumero: TDBEdit;
    dbeNome: TDBEdit;
    lblNumero: TLabel;
    lblNome: TLabel;
    btnIncluir: TBitBtn;
    btnSair: TBitBtn;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnSairClick(Sender: TObject);
    procedure btnIncluirClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmIncBanco: TfrmIncBanco;

implementation

uses Banco;

{$R *.DFM}

{Evento que ser rodado quando o formulrio for fechado}
procedure TfrmIncBanco.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   {O formulrio  fechado e toda a memria alocada  liberada}
   Action := CaFree;
end;

{Evento que ser utilizado quando o boto btnSair for clicado}
procedure TfrmIncBanco.btnSairClick(Sender: TObject);
begin
   {Cancela a incluso do Banco}
   frmBanco.tblBanco.Cancel;
   {Fecha o formulrio}
   Self.Close;
end;

{Este evento ser utilizado quando o boto btnIncluir for clicado}
procedure TfrmIncBanco.btnIncluirClick(Sender: TObject);
begin
   {Ser mostrada uma mensagem pedindo a confirmao da incluso}
	If Application.MessageBox('Confirma a Incluso deste Banco?', 'Confirmao',mb_YesNo + mb_IconQuestion) = idYes then
      	try
         	{Caso a incluso seja confirmada, ento ser gravada um novo Banco}
         	frmBanco.tblBanco.Post;
         except
         on EDBEngineError do
         	begin
         Application.MessageBox('J existe um Banco cadastrado com este nmero' +
         Chr(13) + 'No  possvel incluir este Banco.', 'Erro', mb_Ok + mb_IconError);
         frmBanco.Close;
         	end;
      	end;
         {Fecha o Formulrio}
         Self.Close;
end;

end.
