unit MenuPagto;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, Db, DBTables, Grids, DBGrids;

type
  TfrmMenuPagto = class(TForm)
    dbgPagamento: TDBGrid;
    dtsPagamento: TDataSource;
    sqlPagamento: TQuery;
    sqlPagamentoTitulo: TStringField;
    sqlPagamentoCGC: TFloatField;
    sqlPagamentoValor: TCurrencyField;
    sqlPagamentoEmissao: TDateField;
    sqlPagamentoVencto: TDateField;
    sqlPagamentoLancamento: TDateField;
    sqlPagamentoDesconto: TCurrencyField;
    sqlPagamentoValidadeDesc: TDateField;
    sqlPagamentoPagto: TDateField;
    sqlPagamentoAcrescimo: TCurrencyField;
    mmPagamento: TMainMenu;
    Pagamento1: TMenuItem;
    mmIncluir: TMenuItem;
    mmEditar: TMenuItem;
    sqlPagamentoRegistro: TIntegerField;
    sqlPagamentocgc_1: TStringField;
    sqlPagamentoTipo: TStringField;
    N1: TMenuItem;
    mmFim: TMenuItem;
    procedure mmIncluirClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure mmEditarClick(Sender: TObject);
    procedure mmFimClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMenuPagto: TfrmMenuPagto;

implementation

uses Pagamento, MenuPri;

{$R *.DFM}

{Esta procedure ser executada com o evento click da opo incluir do menu pagamento}
procedure TfrmMenuPagto.mmIncluirClick(Sender: TObject);
begin
	{Desabilita o formulrio frmMenuPagto}
	Self.Enabled := False;
   {Cria o formulrio frmPagamento}
   Application.CreateForm(TfrmPagamento, frmPagamento);
   {Abre a tabela de pagamento via objeto tblPagamento}
   frmPagamento.tblPagamento.Open;
   {Coloca a tabela em modo de incluso}
   frmPagamento.tblPagamento.Append;
end;

{Esta procedure ser executada quando ocorrer o evento Close do formulrio}
procedure TfrmMenuPagto.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
	{Habilita a opo Pagamentos do Menu Contas a Pagar do formlrio frmMenuPri}
  	frmMenuPri.Pagamentos1.Enabled := True;
   {fecha a tabela pagamento via objeto Query sqlPagamento}
   Self.sqlPagamento.Close;
   Action := CaFree;
end;

{Esta procedure sera executada quando ocorrer o evento Create do formulrio}
procedure TfrmMenuPagto.FormCreate(Sender: TObject);
begin
   {Abre a tabela pagamento via o objeto Query sqlPagamento}
   Self.sqlPagamento.Open;
end;

{Esta procedure ser executada quando ocorrer o evento Click da opo Alterar do menu Pagamento}
procedure TfrmMenuPagto.mmEditarClick(Sender: TObject);
begin
	{Desabilita o formulrio frmMenuPagto}
	Self.Enabled := False;
   {Cria o formulrio frmPagamento}
   Application.CreateForm(TfrmPagamento, frmPagamento);
   {Para o formulrio frmPagamento}
   With frmPagamento do
      begin
         {Abre a tabela pagamento via objeto tblPagamento}
         tblPagamento.Open;
         {Filtra o registro selecionado para a edio}
         tblPagamento.Filter := 'Titulo = ' +(frmMenuPagto.
            dbgPagamento.Columns.Items[0].Field.Text);
         {Ativa o filtro}
         tblPagamento.Filtered := True;
         {As prximas quatro linhas  utilizado para passar
         o contedo dos objetos dbe para msk}
         mskEmissao.Text := dbeEmissao.Text;
         mskVencto.Text := dbeVencto.Text;
         mskPagto.Text := dbePagto.Text;
         mskValidDesc.Text := dbeValidDesc.Text;
         {Coloca a tabela Pagamento para o modo de Edio}
         tblPagamento.Edit;
      end;
end;

{Esta procedure ser executada com o evento click da opo fim do menu Pagamento}
procedure TfrmMenuPagto.mmFimClick(Sender: TObject);
begin
   {Fecha o formulrio frmMenuPagto}
   Self.Close;
end;

end.
